Your account will be charged only for posting a task. You can get the results of the task within the next 30 days for free.
The cost can be calculated on the Pricing page.
Description of the fields for sending a request:
| Field name | Type | Description |
|---|---|---|
id | string | task identifier |
As a response of the API server, you will receive JSON-encoded data containing a
tasks array with the information specific to the set tasks.
You can also get all available SERP features and possible extra elements by making a request to the following Sandbox URL:
https://sandbox.dataforseo.com/v3/serp/youtube/organic/task_get/advanced/00000000-0000-0000-0000-000000000000
The response will include all available items in the YouTube Organic SERP Advanced endpoint with the fields containing dummy data.
You won’t be charged for using Sandbox endpoints.
Description of the fields in the results array:
| Field name | Type | Description |
|---|---|---|
version | string | the current version of the API |
status_code | integer | general status code |
status_message | string | general informational message |
time | string | execution time, seconds |
cost | float | total tasks cost, USD |
tasks_count | integer | the number of tasks in the |
tasks_error | integer | the number of tasks in the |
tasks | array | array of tasks |
id | string | task identifier |
status_code | integer | status code of the task |
status_message | string | informational message of the task |
time | string | execution time, seconds |
cost | float | cost of the task, USD |
result_count | integer | number of elements in the |
path | array | URL path |
data | object | contains the same parameters that you specified in the POST request |
result | array | array of results |
keyword | string | keyword received in a POST array |
se_domain | string | search engine domain in a POST array |
location_code | integer | location code in a POST array |
language_code | string | language code in a POST array |
check_url | string | direct URL to search engine results |
datetime | string | date and time when the result was received |
spell | object | autocorrection of the search engine |
refinement_chips | object | search refinement chips |
item_types | array | types of search results in SERP |
se_results_count | integer | total number of results in SERP |
items_count | integer | the number of results returned in the |
items | array | elements of search results found in SERP |
youtube_channel | object | |
type | string | type of element = 'youtube_channel' |
rank_group | integer | group rank in SERP |
rank_absolute | integer | absolute rank in SERP for the target domain |
block_rank | integer | block rank in SERP |
block_name | string | name of the block in SERP |
channel_id | string | ID of the channel |
name | string | name of the channel |
url | string | URL of the channel |
logo | string | the URL of the page where the logo image is hosted |
video_count | integer | the number of videos counted on the channel |
is_verified | boolean | indicates whether the channel has a "verified" label |
description | string | description of the channel |
highlighted | array | highlighted keywords in the description |
youtube_video | object | |
type | string | type of element = 'youtube_video' |
rank_group | integer | group rank in SERP |
rank_absolute | integer | absolute rank in SERP for the target domain |
block_rank | integer | block rank in SERP |
block_name | string | name of the block in SERP |
title | string | title of the video |
url | string | URL of the video |
video_id | string | ID of the video |
thumbnail_url | string | the URL of the page where the thumbnail is hosted |
channel_id | string | the ID of the channel where the video is published |
channel_name | string | the name of the channel where the video is published |
channel_url | string | the URL of the channel where the video is published |
channel_logo | string | the URL of the page where the logo image of the channel is hosted |
description | string | description of the video |
highlighted | array | highlighted keywords in the description |
badges | array | video badges |
is_live | boolean | indicates whether the video is a live broadcast |
is_shorts | boolean | indicates whether the video is shorts |
is_movie | boolean | indicates whether the video is a movie |
views_count | integer | number of views of the video |
publication_date | string | the date when the video is published |
timestamp | string | date and time when the result is published |
duration_time | string | duration of the video |
duration_time_seconds | integer | duration of the video in seconds |
youtube_video_paid | object | |
type | string | type of element = 'youtube_video_paid' |
rank_group | integer | group rank in SERP |
rank_absolute | integer | absolute rank in SERP for the target domain |
block_rank | integer | block rank in SERP |
block_name | string | name of the block in SERP |
title | string | title of the video |
url | string | URL of the video |
video_id | string | ID of the video |
thumbnail_url | string | the URL of the page where the thumbnail is hosted |
channel_id | string | the ID of the channel where the video is published |
channel_name | string | the name of the channel where the video is published |
channel_url | string | the URL of the channel where the video is published |
channel_logo | string | the URL of the page where the logo image of the channel is hosted |
description | string | description of the video |
highlighted | array | highlighted keywords in the description |
badges | array | video badges |
is_live | boolean | indicates whether the video is a live broadcast |
is_shorts | boolean | indicates whether the video is shorts |
is_movie | boolean | indicates whether the video is a movie |
views_count | integer | number of views of the video |
publication_date | string | the date when the video is published |
timestamp | string | date and time when the result is published |
duration_time | string | duration of the video |
duration_time_seconds | integer | duration of the video in seconds |
youtube_playlist | object | |
type | string | type of element = 'youtube_playlist' |
rank_group | integer | group rank in SERP |
rank_absolute | integer | absolute rank in SERP for the target domain |
block_rank | integer | block rank in SERP |
block_name | string | name of the block in SERP |
title | string | title of the video |
url | string | URL of the video |
playlist_id | string | ID of the video |
thumbnail_url | string | the URL of the page where the thumbnail is hosted |
channel_id | string | the ID of the channel where the video is published |
channel_name | string | the name of the channel where the video is published |
channel_url | string | the URL of the channel where the video is published |
channel_logo | string | the URL of the page where the logo image of the channel is hosted |
videos_count | integer | the number of videos in playlist |
preview_videos | array | information about preview videos |
video_id | string | ID of the video |
title | string | title of the video |
url | string | URL of the video |
duration_time | string | duration of the video |
duration_time_seconds | integer | duration of the video in seconds |
Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
login="login"
password="password"
cred="$(printf ${login}:${password} | base64)"
id="02261816-2027-0066-0000-c27d02864073"
curl --location --request GET "https://api.dataforseo.com/v3/serp/youtube/organic/task_get/advanced/${id}"
--header "Authorization: Basic ${cred}"
--header "Content-Type: application/json"
--data-raw ""<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
exit();
}
try {
$result = array();
// #1 - using this method you can get a list of completed tasks
// GET /v3/serp/youtube/organic/tasks_ready
// in addition to 'youtube' and 'organic' you can also set other search engine and type parameters
// the full list of possible parameters is available in documentation
$tasks_ready = $client->get('/v3/serp/youtube/organic/tasks_ready');
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
foreach ($tasks_ready['tasks'] as $task) {
if (isset($task['result'])) {
foreach ($task['result'] as $task_ready) {
// #2 - using this method you can get results of each completed task
// GET /v3/serp/youtube/organic/task_get/advanced/$id
if (isset($task_ready['endpoint_advanced'])) {
$result[] = $client->get($task_ready['endpoint_advanced']);
}
// #3 - another way to get the task results by id
// GET /v3/serp/youtube/organic/task_get/advanced/$id
/*
if (isset($task_ready['id'])) {
$result[] = $client->get('/v3/serp/youtube/organic/task_get/advanced/' . $task_ready['id']);
}
*/
}
}
}
}
print_r($result);
// do something with result
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
}
$client = null;
?>const task_id = '02231256-2604-0066-2000-57133b8fc54e';
const axios = require('axios');
axios({
method: 'get',
url: 'https://api.dataforseo.com/v3/serp/youtube/organic/task_get/advanced/' + task_id,
auth: {
username: 'login',
password: 'password'
},
headers: {
'content-type': 'application/json'
}
}).then(function (response) {
var result = response['data']['tasks'];
// Result data
console.log(result);
}).catch(function (error) {
console.log(error);
});from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# 1 - using this method you can get a list of completed tasks
# GET /v3/serp/youtube/organic/tasks_ready
# the full list of possible parameters is available in documentation
response = client.get("/v3/serp/youtube/organic/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
results = []
for task in response['tasks']:
if (task['result'] and (len(task['result']) > 0)):
for resultTaskInfo in task['result']:
# 2 - using this method you can get results of each completed task
# GET /v3/serp/youtube/organic/task_get/advanced/$id
if(resultTaskInfo['endpoint_advanced']):
results.append(client.get(resultTaskInfo['endpoint_advanced']))
'''
# 3 - another way to get the task results by id
# GET /v3/serp/youtube/organic/task_get/advanced/$id
if(resultTaskInfo['id']):
results.append(client.get("/v3/serp/youtube/organic/task_get/advanced/" + resultTaskInfo['id']))
'''
print(results)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
public static partial class Demos
{
public static async Task serp_task_get()
{
var httpClient = new HttpClient
{
BaseAddress = new Uri("https://api.dataforseo.com/"),
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
};
// #1 - using this method you can get a list of completed tasks
// GET /v3/serp/youtube/organic/tasks_ready
// in addition to 'youtube' and 'organic' you can also set other search engine and type parameters
// the full list of possible parameters is available in documentation
var response = await httpClient.GetAsync("/v3/serp/youtube/organic/tasks_ready");
var tasksInfo = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
var tasksResponses = new List<object>();
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (tasksInfo.status_code == 20000)
{
foreach (var tasks in tasksInfo.tasks)
{
if (tasks.First.result != null)
{
foreach (var task in tasks.First.result)
{
if (task.endpoint_advanced != null)
{
// #2 - using this method you can get results of each completed task
// GET /v3/serp/youtube/organic/task_get/advanced/$id
var tasksGetResponse = await httpClient.GetAsync((string)task.endpoint_advanced);
var tasksResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
if (tasksResultObj.tasks != null)
{
foreach (var taskResult in tasksResultObj.tasks)
{
var fst = taskResult.First;
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (fst.status_code >= 40000 || fst.result == null)
Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
else
tasksResponses.Add(fst.result);
}
}
// #3 - another way to get the task results by id
// GET /v3/serp/youtube/organic/task_get/advanced/$id
/*
var tasksGetResponse = await httpClient.GetAsync("/v3/serp/youtube/organic/task_get/advanced/" + (string)task.id);
var tasksResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
if (tasksResultObj.tasks != null)
{
foreach (var taskResult in tasksResultObj.tasks)
{
var fst = taskResult.First;
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (fst.status_code >= 40000 || fst.result == null)
Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
else
tasksResponses.Add(fst.result);
}
}
*/
}
}
}
}
if (tasksResponses.Count > 0)
// do something with result
Console.WriteLine(String.Join(Environment.NewLine, tasksResponses));
else
Console.WriteLine("No completed tasks");
}
else
Console.WriteLine($"error. Code: {tasksInfo.status_code} Message: {tasksInfo.status_message}");
}
}
}The above command returns JSON structured like this:
{
"version": "0.1.20221214",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.0791 sec.",
"cost": 0,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"id": "12301635-1535-0066-0000-93599fca9d02",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.0276 sec.",
"cost": 0,
"result_count": 1,
"path": [
"v3",
"serp",
"youtube",
"organic",
"task_get",
"advanced",
"12301635-1535-0066-0000-93599fca9d02"
],
"data": {
"api": "serp",
"function": "task_get",
"se": "youtube",
"se_type": "organic",
"language_code": "en",
"location_code": 2840,
"keyword": "audi",
"priority": 2,
"device": "desktop",
"os": "windows"
},
"result": [
{
"keyword": "audi",
"se_domain": "youtube.com",
"location_code": 2840,
"language_code": "en",
"check_url": "https://www.youtube.com/results?search_query=audi",
"datetime": "2022-12-30 14:43:11 +00:00",
"spell": null,
"refinement_chips": null,
"item_types": [
"youtube_video",
"youtube_channel"
],
"se_results_count": 32447281,
"items_count": 66,
"items": [
{
"type": "youtube_video",
"rank_group": 1,
"rank_absolute": 1,
"block_rank": 1,
"block_name": null,
"title": "The 2023 Audi Q7 55 TFSI Is An Ultra Quiet & Comfortable Luxury 3-Row SUV",
"url": "https://www.youtube.com/watch?v=lrPvFuz8Leg",
"video_id": "lrPvFuz8Leg",
"thumbnail_url": "https://i.ytimg.com/vi/lrPvFuz8Leg/hq720.jpg?sqp=-oaymwEcCNAFEJQDSFXyq4qpAw4IARUAAIhCGAFwAcABBg==&rs=AOn4CLC4RyEK7ntuK_hkLAMXOdFmcZNz6w",
"channel_id": "UC2MrtVb1dT4FhcbOlW736kA",
"channel_name": "Redline Reviews",
"channel_url": "https://www.youtube.com/@theredline",
"channel_logo": "https://yt3.ggpht.com/R90alWqdmbF6Z_Hj6qZ3KaI7HDRMfFIfrdOgwLyXCii6GUuiW1YJs-2JDyRiDKoc8R-_X0nGPdQ=s68-c-k-c0x00ffffff-no-rj",
"description": "When you need an # Audi vehicle with 3-rows of seating, the #AudiQ7 is the only vehicle in the lineup that can fit that bill. For 2023 ...",
"highlighted": [
"Audi"
],
"badges": [
"New",
"4K"
],
"is_live": false,
"is_shorts": false,
"is_movie": null,
"views_count": 1004,
"publication_date": "43 minutes ago",
"timestamp": "2022-12-30 14:12:23 +00:00",
"duration_time": "23:26",
"duration_time_seconds": 1406
},
{
"type": "youtube_channel",
"rank_group": 1,
"rank_absolute": 9,
"block_rank": 1,
"block_name": null,
"channel_id": "UCO5ujNeWRIwP4DbCZqZWcLw",
"name": "Audi",
"url": "https://www.youtube.com/@Audi",
"logo": "https://yt3.googleusercontent.com/ytc/AMLnZu_iyn_apm6S6bi0P-nBUNil4mgAum9opQJGWeea=s176-c-k-c0x00ffffff-no-rj-mo",
"video_count": 0,
"is_verified": true,
"description": "The official Audi YouTube Channel. From the beginning, advanced technology has been at the very heart of the Audi DNA.",
"highlighted": [
"Audi",
"Audi"
]
},
{
"type": "youtube_playlist",
"rank_group": 2,
"rank_absolute": 3,
"block_rank": 3,
"block_name": null,
"title": "McQueen Car Assembly Surprise Soccer Ball | Street Vehicle with Learn Colors for Kids",
"url": "https://www.youtube.com/playlist?list=PLeeA6TGUlbkZBi7TYks-CbPnFMsjjB5Be",
"playlist_id": "PLeeA6TGUlbkZBi7TYks-CbPnFMsjjB5Be",
"thumbnail_url": "https://i.ytimg.com/vi/i2mV0LApDTA/hqdefault.jpg?sqp=-oaymwEXCNACELwBSFryq4qpAwkIARUAAIhCGAE=&rs=AOn4CLAbEK6cprhXavg6sjhL92EleU9O9w",
"channel_id": "UCxaux2CGJvqAkGn5ohSQxdA",
"channel_name": "Tech Editing info Master",
"channel_url": "https://www.youtube.com/channel/UCxaux2CGJvqAkGn5ohSQxdA",
"channel_logo": null,
"videos_count": 81,
"preview_videos": [
{
"video_id": "i2mV0LApDTA",
"title": "McQueen Car Assembly Surprise Soccer Ball | Street Vehicle with Learn Colors for Kids",
"url": "https://www.youtube.com/watch?v=i2mV0LApDTA&list=PLeeA6TGUlbkZBi7TYks-CbPnFMsjjB5Be",
"duration_time": "10:08",
"duration_time_second": 608
},
{
"video_id": "-tAQGxcRaaI",
"title": "Learn Colors with Dump truck & Soccer Balls | Learning Videos for Children | Cartoons for Kids",
"url": "https://www.youtube.com/watch?v=-tAQGxcRaaI&list=PLeeA6TGUlbkZBi7TYks-CbPnFMsjjB5Be",
"duration_time": "2:01",
"duration_time_second": 121
}
]
}
]
}
]
}
]
}